#include <unistd.h>
#include <sys/stat.h>
#include <msp/core/systemerror.h>
#include "dir.h"

using namespace std;

namespace Msp {
namespace FS {

void mkdir(const Path &path, int mode)
{
	if(::mkdir(path.str().c_str(), mode)==-1)
		throw system_error("mkdir");
}

void rmdir(const Path &path)
{
	if(::rmdir(path.str().c_str())==-1)
		throw system_error("rmdir");
}

Path getcwd()
{
	char buf[1024];
	return ::getcwd(buf, sizeof(buf));
}

void chdir(const Path &path)
{
	if(::chdir(path.str().c_str())==-1)
		throw system_error("chdir");
}

} // namespace FS
} // namespace Msp
